=== doc/Makefile ===
#
# $Id: Makefile 12293 2009-08-23 17:36:32Z vszakats $
#

ROOT := ../

DOC_FILES := \
   c_std.txt \
   class_tp.txt \
   cmdline.txt \
   cmpopt.txt \
   codebloc.txt \
   codestyl.txt \
   destruct.txt \
   dirstruc.txt \
   gmake.txt \
   gtapi.txt \
   hdr_tpl.txt \
   howtobld.txt \
   howtorel.txt \
   howtosvn.txt \
   inet.txt \
   pcode.txt \
   pp.txt \
   pragma.txt \
   readme.txt \
   statics.txt \
   tracing.txt \
   transfrm.txt \
   vm.txt \
   whatsnew.txt \
   windll.txt \

DIRS := \
   en-EN \

include $(TOP)$(ROOT)config/doc.mk
include $(TOP)$(ROOT)config/dir.mk
