=== include/Makefile ===
#
# $Id: Makefile 13331 2009-12-20 21:12:54Z druzus $
#

ROOT := ../

C_HEADERS := \
   clipdefs.h \
   extend.h \
   hbapi.h \
   hbapicdp.h \
   hbapicls.h \
   hbapidbg.h \
   hbapierr.h \
   hbapifs.h \
   hbapigt.h \
   hbapiitm.h \
   hbapilng.h \
   hbapirdd.h \
   hbapistr.h \
   hbassert.h \
   hbatomic.h \
   hbbfish.h \
   hbcdpreg.h \
   hbchksum.h \
   hbcomp.h \
   hbcompdf.h \
   hbdate.h \
   hbdbf.h \
   hbdbferr.h \
   hbdbsort.h \
   hbdefs.h \
   hberrors.h \
   hbexprop.h \
   hbgtcore.h \
   hbgtreg.h \
   hbhash.h \
   hbiniseg.h \
   hbinit.h \
   hbmacro.h \
   hbmath.h \
   hbmsgreg.h \
   hbpcode.h \
   hbpp.h \
   hbrddcdx.h \
   hbrdddbf.h \
   hbrddfpt.h \
   hbrdddel.h \
   hbrddntx.h \
   hbrddsdf.h \
   hbrddnsx.h \
   hbregex.h \
   hbset.h \
   hbsetup.h \
   hbsocket.h \
   hbstack.h \
   hbsxfunc.h \
   hbthread.h \
   hbtrace.h \
   hbtypes.h \
   hbver.h \
   hbvm.h \
   hbvmint.h \
   hbvmopt.h \
   hbvmpub.h \
   hbxvm.h \
   hbwince.h \
   hbwinuni.h \
   hbzlib.h \
   hb_io.h \

PRG_HEADERS := \
   achoice.ch \
   assert.ch \
   box.ch \
   button.ch \
   blob.ch \
   color.ch \
   common.ch \
   dbedit.ch \
   dbinfo.ch \
   dbstruct.ch \
   directry.ch \
   error.ch \
   fileio.ch \
   getexit.ch \
   hbclass.ch \
   hbdebug.ch \
   hbextcdp.ch \
   hbextlng.ch \
   hbextern.ch \
   hbgfx.ch \
   hbgfxdef.ch \
   hbgtinfo.ch \
   hbhrb.ch \
   hbinkey.ch \
   hblang.ch \
   hbmacro.ch \
   hbmath.ch \
   hbmemory.ch \
   hbmemvar.ch \
   hboo.ch \
   hbpers.ch \
   hbsetup.ch \
   hbsix.ch \
   hbsocket.ch \
   hbstdgen.ch \
   hbthread.ch \
   hbtrace.ch \
   hbusrrdd.ch \
   hbver.ch \
   hbzlib.ch \
   inkey.ch \
   memoedit.ch \
   ord.ch \
   rddsys.ch \
   reserved.ch \
   set.ch \
   setcurs.ch \
   simpleio.ch \
   std.ch \
   hbsxdef.ch \
   tbrowse.ch \

API_HEADERS := \
   error.api \
   extend.api \
   filesys.api \
   fm.api \
   gt.api \
   hbundoc.api \
   item.api \
   rdd.api \
   vm.api \

include $(TOP)$(ROOT)config/header.mk
