=== utils/Makefile ===
#
# $Id: Makefile 12619 2009-09-24 15:43:10Z vszakats $
#

ROOT := ../

DIRS := \
   hbrun \
   hbmk2 \

ifneq ($(HB_BUILD_PARTS),compiler)

   DIRS += \
      hbi18n \
      hbtest \
      hbformat \

endif

DIRS += $(HB_UTIL_ADDONS)

include $(ROOT)config/dir.mk
