=== contrib/hbbmcdx/Makefile ===
#
# $Id: Makefile 12150 2009-08-17 17:32:21Z vszakats $
#

ROOT := ../../

C_SOURCES := \
   bmdbfcdx.c \
   bmsixcdx.c

LIBNAME := hbbmcdx

include $(TOP)$(ROOT)config/lib.mk
