=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE := 1

export HB_BIN_INSTALL := /usr/bin
export HB_LIB_INSTALL := /usr/lib/harbour
export HB_INC_INSTALL := /usr/include/harbour
export HB_DOC_INSTALL := /usr/share/doc/harbour
export HB_ETC_INSTALL := /etc/harbour
export HB_INST_PKGPREF := $(CURDIR)/debian/harbour

# is INSTDIR necessary for dpkg? If not then please remove it.
export INSTDIR := $(HB_INST_PKGPREF)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   HB_USER_CFLAGS += -O0
else
   HB_USER_CFLAGS += -O3
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
   INSTALL_PROGRAM += -s
else
   HB_USER_CFLAGS := -g
endif

build: build-stamp

build-stamp:
	dh_testdir

	make

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make install
	install -m644 src/rtl/gtcrs/hb-charmap.def $(HB_INST_PKGPREF)$(HB_ETC_INSTALL)/hb-charmap.def


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installman doc/man/harbour.1 doc/man/hbmk.1 doc/man/hbpp.1 doc/man/hbrun.1 doc/man/hbtest.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
